User Tools

Site Tools


Sidebar

Get the Most Out of Your ERP

Windward System Five Add-Ons


System Five Add-Ons & Integrations help simplify the way you do things.


The Windward Professional Services Catalog

Our catalog of services has topic-based, role-based, or technical plans that can help you maximize your software investment.




Follow Windward Software



New Feature Round-up
system_requirements

Windward System Five Minimum & Recommended System Requirements (ON PREM INSTALLATIONS)

The following is a list of system requirements supported by Windward System Five. Please note that this document is subject to review and may be revised at any time. Please check this page regularly for updates.

If you need assistance, please speak to your Business Developer or Account Manager.

Windward Software can connect you with hardware: Shop now! https://shopposportals.com/collections/windward-software


Server

Microsoft Server 2022 is not officially supported at this time. Hold off on installing until we can verify that our underlying database provider is compatible, and we have completed our testing.

‘Server’ denotes either the physical hardware or Virtual Machine (VM) specifications. In the case of a VM, the physical hardware needs to be able to support both the host and virtual systems.
  • Home Operating Systems not supported and must be Windows Professional
  • Windows 7 and Windows 8 not supported
  • Server 2008 OS not supported
  • Server 2012 R2 will end of life support on Oct 10, 2023
  • No wifi connections to the server unless using Microsoft Remote Desktop (RDS)
  • Supported Remote desktop (RDS) tool(s): Microsoft Remote Desktop
Minimum Requirements1) Recommended Requirements
Without AppServer2) With AppServer
Operating System* Windows Server 2012 R2 * Windows Server 2012 R2 * Windows Server 2019 (Clients choosing to upgrade from an older operating system will need to ensure database licensed with Actian Zen PSQL 14 [Previously called Pervasive SQL]3) *Zen14 requires System Five Version 6.2.4.
* Windows Server 2012 R2 * Windows Server 2012 R2
* Windows Server 2016 * Windows Server 2016
Processor* 1.4GHz or faster 64-bit CPU * 1.4GHz or faster 64-bit CPU * 3.0GHz or faster 64-bit Intel® Xeon® CPU
* Compatible with x64 instruction set * Compatible with x64 instruction set * Compatible with x64 instruction set
* Supports NX and DEP * Supports NX and DEP * Supports NX and DEP
Memory* 6GB (base) + 300MB/User * 6GB (base) + 300MB/User * 8GB (base) + 400MB/User
Disk* 250GB * 250GB * 500GB
* 10K SAS Drives, SAN, or Enterprise SSD
* RAID 10
Graphics / Display* Graphics device and monitor capable of Super VGA (1024×768) or higher-resolution * Graphics device and monitor capable of Super VGA (1024×768) or higher-resolution * Graphics device and monitor capable of Super VGA (1024×768) or higher-resolution
Network* 10/100Mbps * 10/100Mbps * 1Gbps
* Category 5 (Cat 5) Ethernet Cable * Category 5 (Cat 5) Ethernet Cable * Category 5e (Cat 5e) Ethernet Cable

Workstation

We are working towards support for Windows 11. At this time it is not officially supported. We are asking clients to hold off on installing until we can both verify that our underlying database provider is compatible, and we have completed our testing.

Minimum Requirements Recommended Requirements
Operating System4)* Windows 10 ‘Professional’ Edition * Windows 10 ‘Professional’ Edition
Processor* 1.6GHz or faster 64-bit CPU with support for PAE, NX, and SSE2 * 3.6GHz or faster 64-bit Intel® CoreTM i7 or i9 CPU with (Trusted Platform Module) TPM 2.0 Support
Memory* 4GB * 8GB
Free Disk Space* 20GB * 40GB
Graphics / Display* DirectX® 9 or later with WDDM 1.0 Driver and monitor capable of Super VGA (1024 x 768) or higher-resolution * DirectX® 9 or later with WDDM 1.0 Driver and monitor capable of Super VGA (1024 x 768) or higher-resolution
Network* 10/100Mbps * 1Gbps
* Category 5 (Cat 5) Ethernet Cable * Category 5 (Cat 5e) Ethernet Cable
1)
Assumes the server is only supporting the Database Engine in a client-server environment, and not running Terminal Services or other servers and services.
2)
System Five’s ‘AppServer’ is used for Form Customization (Rental Industry), Electronic E4473 Form Filling, MobilePOS, Web API, Grant Management and Field Service App
3)
If using integrated credit card processing, PCI compliancy currently requires Peravsive 12 which is supported on Windows Server 2012 R2 and 2016
4)
System Five is not supported on Windows ‘Home’ editions.
system_requirements.txt · Last modified: 2022/03/04 10:35 (3 months ago) by tanya